#include<stdio.h>
#include<stdlib.h>

int main(int argc, char *argv[]){

    int i;
    int num1;
    int num2;


    printf("\nHaremos un programa para ver como funcionan los argumentos de entrada del programa");

    printf("\nHemos recibido %d argumentos", argc);

    for(i=0;i<argc; i++){
        printf("\nArgumento %d: %s", i, argv[i]);
    }

    if(argc<3){
        printf("\nHemos recibido menos argumentos de los esperados, no podemos operar");
        return 1;
    }else{
        num1=atoi(argv[1]);
        num2=atoi(argv[2]);

        printf("\nLa suma es %d", (num1+num2));
    }

    printf("\n");
    return 0;
}